aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2022-03-25 14:15:25 +0100
committerPeter Mikus <pmikus@cisco.com>2022-03-30 13:25:14 +0000
commitad8149cc4fc9f5a703f5cffd5557abc0874d4d50 (patch)
tree3136ab126428772784dac8d822cb72cac5bbd7f2 /resources/libraries
parent1996a8e398190a1930607acf72c6f5ce16091e6d (diff)
refactor(terraform): 2n_aws_c5n
Signed-off-by: Peter Mikus <pmikus@cisco.com> Change-Id: I5f68fd84a9ea034c5d8ff175807033aa0b60d5a2
Diffstat (limited to 'resources/libraries')
-rw-r--r--resources/libraries/bash/function/common.sh4
-rw-r--r--resources/libraries/bash/function/terraform.sh6
2 files changed, 5 insertions, 5 deletions
diff --git a/resources/libraries/bash/function/common.sh b/resources/libraries/bash/function/common.sh
index 39b2be4608..7595f172e7 100644
--- a/resources/libraries/bash/function/common.sh
+++ b/resources/libraries/bash/function/common.sh
@@ -1145,11 +1145,11 @@ function select_topology () {
TOPOLOGIES_TAGS="2_node_single_link_topo"
;;
"2n_aws")
- TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*2n_aws*.yaml )
+ TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*2n-aws*.yaml )
TOPOLOGIES_TAGS="2_node_single_link_topo"
;;
"3n_aws")
- TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*3n_aws*.yaml )
+ TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*3n-aws*.yaml )
TOPOLOGIES_TAGS="3_node_single_link_topo"
;;
*)
diff --git a/resources/libraries/bash/function/terraform.sh b/resources/libraries/bash/function/terraform.sh
index ed3bda32aa..1766381f75 100644
--- a/resources/libraries/bash/function/terraform.sh
+++ b/resources/libraries/bash/function/terraform.sh
@@ -32,7 +32,7 @@ function terraform_apply () {
fi
pushd "${CSIT_DIR}"/fdio.infra.terraform || die "Pushd failed!"
- pushd "${NODENESS}_${FLAVOR}_c5n" || die "Pushd failed!"
+ pushd "terraform-aws-${NODENESS}-${FLAVOR}-c5n" || die "Pushd failed!"
export TF_LOG=INFO
trap 'terraform_destroy' ERR || {
die "Trap attempt failed, please cleanup manually. Aborting!"
@@ -58,7 +58,7 @@ function terraform_destroy () {
fi
pushd "${CSIT_DIR}"/fdio.infra.terraform || die "Pushd failed!"
- pushd "${NODENESS}_${FLAVOR}_c5n" || die "Pushd failed!"
+ pushd "terraform-aws-${NODENESS}-${FLAVOR}-c5n" || die "Pushd failed!"
export TF_LOG=INFO
terraform destroy -auto-approve -no-color || die "Terraform destroy failed!"
popd || die "Popd failed!"
@@ -88,7 +88,7 @@ function terraform_init () {
fi
pushd "${CSIT_DIR}"/fdio.infra.terraform || die "Pushd failed!"
- pushd "${NODENESS}_${FLAVOR}_c5n" || die "Pushd failed!"
+ pushd "terraform-aws-${NODENESS}-${FLAVOR}-c5n" || die "Pushd failed!"
plugin_url="https://github.com/radekg/terraform-provisioner-ansible/"
plugin_url+="releases/download/v2.5.0/"